appConsentRequest: filterByCurrentUser

名前空間: microsoft.graph

現在のユーザーが校閲者であり、指定されたアプリInProgressにアクセスするための userConsentRequest の状態である appConsentRequest オブジェクトのコレクションを取得します。

アクセス許可

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) ConsentRequest.Read.All、ConsentRequest.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション ConsentRequest.Read.All、ConsentRequest.ReadWrite.All

HTTP 要求

GET /identityGovernance/appConsent/appConsentRequests/filterByCurrentUser(on='parameterValue')

関数パラメーター

要求 URL で、次のクエリ パラメーターに値を指定します。 次の表に、この関数で使用できるパラメーターを示します。

パラメーター 種類 説明
on consentRequestFilterByCurrentUserOptions フィルターを適用して、現在のユーザーがレビュー担当者である appConsentRequest オブジェクトに対してクエリを実行します。 使用できる値は reviewer. 必須です。

クエリ パラメーター

この関数では、状態InProgressが . $filter 一般的な情報については、「OData クエリ パラメーター」を参照してください。

要求ヘッダー

名前 説明
Authorization ベアラー {token}。必須。

要求本文

このメソッドには、要求本文を指定しません。

応答

成功した場合、この関数は 200 OK 応答コードと応答本文の appConsentRequest オブジェクトのコレクションを返します。

要求

GET https://graph.microsoft.com/v1.0/identityGovernance/appConsent/appConsentRequests/filterByCurrentUser(on='reviewer')?$filter=userConsentRequests/any(u:u/status eq 'InProgress')

応答

注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "@odata.context": "https://graph.microsoft.com/v1.0/$metadata#Collection(appConsentRequest)",
  "@odata.count": 1,
  "value": [
    {
      "id": "af330b30-dd59-4482-a848-0fd81b0438ed",
      "appId": "3ca5f23f-94b4-4930-aec9-b8ca0f060e68",
      "appDisplayName": "Moodle",
      "pendingScopes": [],
      "userConsentRequests": []
    }
  ]
}